'use strict';

// insulin is a dependency injection (DI) container using inversion of control
// (IoC).
var insulin = require('insulin');

// Add factories for express and moment.
insulin
  .factory('express', [], () => require('express'))
  .factory('moment',  [], () => require('moment-timezone'));

// Each of these registers itself as a factory.
require('./timeRouter');
require('./getTimeString');

// Initialize the app.
var app = insulin.get('express')();
app.use('/api', insulin.get('timeRouter'));

module.exports = app;

